Subject: Re: Combo Shear, Brake, & Roll

From: Mike Rehmus <[email-masked]>
Date: 21 Jul 1996 16:52:03 GMT

I have one from ENCO.  It is identical to those you
mentioned.

I think it is a good value (bought mine for ~ $300 when
ENCO had a sale) but there are some caveats:

1.  It requires a heavy and stable base.  Preferrably
    bolted to the floor because operation requires a
    fair amount of pressure on the operating lever.
2.  It must be leveled and aligned for it to work
    properly.  It is fair to say that snow sled
    manufacturers would love to have the flexibility
    built into the frame. (anyone remember the Flexible Flyer?)
3.  One should probably build a second operating lever and
    improve the mechanism that clamps the lever onto the
    drive shaft.
4.  You do need a fair bit of walk-around room for
    the unit.  It will not work well if you back it
    up to a wall because you cannot get around to the
    back to adjust guides, etc.
5.  The press brake is, as you may know, a more difficult
    design with which to work.  It is not nearly as
    apparent where the fold line will be placed as on
    a regular sheet metal brake.  There are just too
    many variables so you are forced to set up the guides
    for most bends.

If one understands the limitations and requirements of
this tool, it is nice to own and, given the price of
the three tools in individual form, the only one I could
afford.  It also takes up much less space than the three
separate tools.

Best regards,

Mike Rehmus